<?php 

$recurso = fopen('contador.txt','r+');
 
$nb_vistas = fgets($recurso); // Lectura de la primera linea que contiene el número de páginas vistas
if ($nb_vistas == "") { //prueba si el archivo no contiene nombre
   $nb_vistas = 0;
}
$nb_vistas++; // Aumenta 1 el número de páginas vistas
fseek($recurso, 0); // el cursor se pone al inicio del archivo
fputs($recurso, $nb_vistas); // Escritura del nuevo número de páginas vistas
 
fclose($recurso); // Cierre del archivo
 
echo'Esta página se ha visto'.$nb_vistas.' veces.';


?>
